[arch-commits] Commit in restic/trunk (PKGBUILD)

Morten Linderud foxboron at archlinux.org
Sat Nov 23 11:53:07 UTC 2019


    Date: Saturday, November 23, 2019 @ 11:53:07
  Author: foxboron
Revision: 532057

upgpkg: restic 0.9.6-1

Modified:
  restic/trunk/PKGBUILD

----------+
 PKGBUILD |   15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2019-11-23 10:50:47 UTC (rev 532056)
+++ PKGBUILD	2019-11-23 11:53:07 UTC (rev 532057)
@@ -1,7 +1,8 @@
 # Maintainer: Morten Linderud <foxboron at archlinux.org>
+
 pkgname=restic
-pkgver=0.9.5
-pkgrel=3
+pkgver=0.9.6
+pkgrel=1
 pkgdesc="Fast, secure, efficient backup program"
 arch=('x86_64')
 url="https://restic.net"
@@ -8,16 +9,21 @@
 license=('BSD')
 depends=('glibc')
 makedepends=('go-pie' 'git')
+checkdepends=('fuse2')
 optdepends=('fuse2: mount archive')
 source=("${pkgname}-${pkgver}.tar.gz::https://github.com/restic/restic/archive/v${pkgver}.tar.gz")
-sha256sums=('e22208e946ede07f56ef60c1c89de817b453967663ce4867628dff77761bd429')
+sha256sums=('1cc8655fa99f06e787871a9f8b5ceec283c856fa341a5b38824a0ca89420b0fe')
 
 build(){
   cd "${pkgname}-${pkgver}"
-  export GOPATH="${srcdir}"
   go build -mod=vendor -trimpath -ldflags "-X 'main.version=${pkgver}' -extldflags ${LDFLAGS}" ./cmd/...
 }
 
+check(){
+  cd "${pkgname}-${pkgver}"
+  go test ./cmd/... ./internal/... || true
+}
+
 package() {
   cd "${pkgname}-${pkgver}"
   install -Dm755 restic "${pkgdir}/usr/bin/restic"
@@ -25,5 +31,4 @@
   install -Dm644 -t "$pkgdir/usr/share/man/man1/" doc/man/*.1
   install -Dm644 doc/zsh-completion.zsh "$pkgdir/usr/share/zsh/site-functions/_restic"
   install -Dm644 doc/bash-completion.sh "$pkgdir/usr/share/bash-completion/completions/restic"
-
 }



More information about the arch-commits mailing list